Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Timestamp;

public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  // 新規登録を行う前に入力された値を入れる
  public User(String loginId, String name, Date birthDate) {
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
  }

  // ユーザー情報の更新を行なう前に入力された値を入れる
  public User(int id, String loginId, String name, Date birthDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
  }

  public User(int id, String loginId, String name, Date birthDate, String password,
      boolean isAdmin, Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdmin;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }

}

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncoder;

/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserAddServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      HttpSession session = request.getSession();
      User user = (User) session.getAttribute("userInfo");

      if (user == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userAdd.jsp");
      dispatcher.forward(request, response);
	}



	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      request.setCharacterEncoding("UTF-8");

      // 新規登録時にidが付与されるため、ここでがidは取得できない
      // int id = Integer.valueOf(request.getParameter("id"));

      String loginId = request.getParameter("user-loginid");
      String password = request.getParameter("password");
      String confPassword = request.getParameter("password-confirm");
      String name = request.getParameter("user-name");
      String strBirthDate = request.getParameter("birth-date");

      Date birthDate = null;

      // 日付が入力されていたら▶Date型に変換代入
      if (!strBirthDate.equals("")) {
        birthDate = Date.valueOf(strBirthDate);
      }


      UserDao userDao = new UserDao();
      Boolean isCheckLoginId = userDao.isCheckLoginId(loginId);

      // Date型のequals参照
      // パスワードは必要
      if (!(password.equals(confPassword)) || loginId.equals("") || password.equals("")
          || name.equals("") || birthDate == null || !(isCheckLoginId)) {
        // 入力された値を再度リクエストスコープにいれて渡す
        User addUserInfo = new User(loginId, name, birthDate);
        request.setAttribute("user", addUserInfo);

        request.setAttribute("errMsg", "入力された内容は正しくありません");
        RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userAdd.jsp");
        dispatcher.forward(request, response);
      } else {

        PasswordEncoder passEncorder = new PasswordEncoder();
        String enPassword = passEncorder.encordPassword(password);

        userDao.insert(loginId, name, birthDate, enPassword);
        response.sendRedirect("UserListServlet");
      }

	}

}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;


import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {


      HttpSession session = request.getSession();
      User user = (User) session.getAttribute("userInfo");

      if (user == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      int id = Integer.valueOf(request.getParameter("id"));
      UserDao userDao = new UserDao();
      User userInfo = userDao.findById(id);

      request.setAttribute("user", userInfo);

      RequestDispatcher dispatcher1 = request.getRequestDispatcher("WEB-INF/jsp/userDelete.jsp");
      dispatcher1.forward(request, response);
      return;

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");

      int id = Integer.valueOf(request.getParameter("id"));
      UserDao userDao = new UserDao();
      userDao.delete(id);


      response.sendRedirect("UserListServlet");
      return;
	}

}

Project/src/main/java/controller/UserDetailServlet.java
package controller;


import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDetailServlet
 */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      HttpSession session = request.getSession();
      User user = (User) session.getAttribute("userInfo");

      if (user == null) {
        response.sendRedirect("LoginServlet");
        return;
      }
      /* 文字列のidをint型に返還 */

      int id = Integer.valueOf(request.getParameter("id"));

      UserDao userDao = new UserDao();
      User userInfo = userDao.findById(id);

      request.setAttribute("user", userInfo);


      RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userDetail.jsp");
      dispatcher.forward(request, response);
      return;

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserListServlet() {
        super();
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {



      HttpSession session = request.getSession();
      User user = (User) session.getAttribute("userInfo");

      if (user == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      UserDao userDao = new UserDao();

      List<User> userList = userDao.findAll();
      request.setAttribute("userList", userList);


      // session.setAttribute("userInfo", userInfo);


      RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);



    }

    /**
     * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      request.setCharacterEncoding("UTF-8");

      String loginid = request.getParameter("user-loginid");
      String userName = request.getParameter("user-name");
      String strDateStart = request.getParameter("date-start");
      String strDateEnd = request.getParameter("date-end");

      // 検索した結果複数のユーザーがヒットする可能性があるためListにする
      UserDao userDao = new UserDao();
      List<User> userList = userDao.research(loginid, userName, strDateStart, strDateEnd);

      request.setAttribute("userList", userList);
      // reauest.setAttribute("loginId",loginId);
      // request.setAttribute("name",name);
      // requset.setAttribute("startDate",startDate);
      // rewuest.setAttribute("endDate",endDate);

      RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userList.jsp");
      dispatcher.forward(request, response);


	}

   

}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;


import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncoder;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      HttpSession session = request.getSession();
      User user = (User) session.getAttribute("userInfo");

      if (user == null) {
        response.sendRedirect("LoginServlet");
        return;
      }

      int id = Integer.valueOf(request.getParameter("id"));
      UserDao userDao = new UserDao();
      User userInfo = userDao.findById(id);

      request.setAttribute("user", userInfo);


      RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userUpdate.jsp");
      dispatcher.forward(request, response);
      return;

    }

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      request.setCharacterEncoding("UTF-8");

      int id = Integer.valueOf(request.getParameter("user-id"));
      String loginId = request.getParameter("loginId");
      String password = request.getParameter("password");
      String confPassword = request.getParameter("password-confirm");
      String name = request.getParameter("user-name");
      String strBirthDate = request.getParameter("birth-date");
      Date birthDate = null;

      if (!strBirthDate.equals("")) {
        birthDate = Date.valueOf(strBirthDate);
      }

      if (!(password.equals(confPassword)) || loginId.equals("") || name.equals("")
          || birthDate == null) {
        // リクエストスコープに取得したパラメータをセット→パスワード以外は入力内容を出力


        User userInfo = new User(id, loginId, name, birthDate);
        request.setAttribute("user", userInfo);


        request.setAttribute("errMsg", "入力された内容は正しくありません");
        RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/userUpdate.jsp");
        dispatcher.forward(request, response);
        return;
      } else {

        PasswordEncoder passEncorder = new PasswordEncoder();
        String enPassword = passEncorder.encordPassword(password);

      UserDao userDao = new UserDao();
        userDao.update(id, loginId, enPassword, name, birthDate);

      response.sendRedirect("UserListServlet");
    }

    }

}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}</span><span class="navbar-text">さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>
		<div class="row">
			<div class="col-6 offset-3 mb-5">
			<c:if test="${errMsg!=null}">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
			</c:if>
			</div>
		</div>
	<form action="UserAddServlet" method="post">
	<input type="hidden" name="id" value="${user.id}">
		<div class="row">
			<div class="col-6 offset-3">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
						
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${user.loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control" >
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${user.name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${user.birthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
			</div>
		</div>
		</form>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}</span><span class="navbar-text">さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID：<span class="navbar-text">${user.loginId}</span></p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
					<form action="UserDeleteServlet" method="post">
						<input type="hidden" name="id" value="${user.id}">
						<input type="submit"  class="btn btn-lg btn-primary btn-block" value="はい">
					</form>
					</div>
					
				</div>
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.name}</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger" href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
				<input type="hidden" name="id" value="${user.id}">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>
	<!-- 検索ボックスのえらー表示 -->
	<div class="row">
			<div class="col-6 offset-3 mb-5">
			<c:if test="${errMsg!=null}">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
			</c:if>
			</div>
		</div>
		<!-- 検索ボックス -->
		
		<form action="UserListServlet" method="post">
		<div class="row">
			<div class="col">

				<div class="card">
					<div class="card-body">

						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control" id="loginId" value="">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="userName" value="">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate" class="form-control"
											value="startDate">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate" class="form-control"
											value="endDate">
									</div>
								</div>
							</div>
						</div>

						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>

					</div>
				</div>
			</div>
		</div>
		</form>

		<!-- 検索結果一覧 -->
		
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					
					<tbody>
					<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td><fmt:formatDate value="${user.birthDate}"
							pattern="yyyy年MM月dd日" /></td>
							<td class="float-right">
								<a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
								<!-- ログインユーザーであれば「更新」を表示 -->
								<c:if test="${user.loginId==userInfo.loginId or userInfo.admin}">
								<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a></c:if>
								
								<c:if test="${userInfo.admin}">
								<a class="btn btn-danger" href="UserDeleteServlet?id=${user.id}">削除</a></c:if></td>
								</tr>
								</c:forEach>						
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userLogin.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ログイン画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/login.css" rel="stylesheet">
</head>

<body>
	<!-- フォームが真ん中にレイアウトされるように、CSSに記載してある -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<h1 class="text-center">ログイン画面</h1>
			</div>
		</div>
	
		<div class="row">
			<c:if test="${errMsg!=null}">
			<div class="col-6 offset-3 mb-5">
				<div class="alert alert-danger" role="alert">${errMsg}</div>
			</div></c:if>
			</div>
			
     
		
		<form action="LoginServlet" method="post">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="form-group row">
				
					<label for="inputLoginId" class="col-3 col-form-label">ログインID</label>
					<div class="col-9">
						<input type="text" name="loginid" id="inputLoginId" class="form-control" value="${loginId}" autofocus>
					</div>
					
				</div>
			
				<div class="form-group row">
					<label for="inputPassword" class="col-3 col-form-label">パスワード</label>
					<div class="col-9">
						<input type="password" name="password" id="inputPassword" class="form-control" autofocus>
					</div>
				</div>
				<button  class="btn btn-lg btn-primary btn-block" type="submit">ログイン</button>
			</div>
		</div>
		</form>
	</div>
</body>

</html>